
%define _name		widelands
%define _version	b6
%define _release	2.dries

Summary: a game (in development) like Settlers II
Summary(nl): een spel (in ontwikkeling) zoals Settlers II

BuildRoot:	%{_tmppath}/build-%{_name}-%{_version}
Name:		%{_name}
Version:	%{_version}
Release:	%{_release}
License:	GPL
Group:		Amusements/Games
URL: http://widelands.sourceforge.net/
Source: http://prdownloads.sourceforge.net/widelands/widelands-b6-source.tar.bz2
Source1: http://prdownloads.sourceforge.net/widelands/widelands-b6-binary.tar.bz2
BuildRequires: SDL-devel, make, gcc-c++
Requires: SDL

#(d) primscreenshot: http://widelands.sourceforge.net/images/screens/build-6/00.jpg
#(d) screenshotsurl: http://widelands.sourceforge.net/screenshots.html

%description
In Widelands, you are the regent of a small tribe. You start out with
nothing but your headquarters, a kind of castle in which all your resources
are stored. Every member of your tribe will do his or her part to produce
more resources - wood, food, iron, gold and more - to further this growth.
But you are not alone in the world, and you will meet other tribes sooner or
later. Some of them may be friendly and trade with you. However, if you want
to rule the world, you will have to train soldiers and fight.

%description -l nl
In widelands speel je de regent van een kleine stam. Je start met enkel je
hoofdkantoor: een kasteel waarin al je grondstoffen bewaard worden. Elke 
deelnemer van je stam zal zijn of haar taak doen bij het produceren van 
grondstoffen - hout, voedsel, ijzer, goud en meer - zodat de nederzetting 
steeds groter wordt. Maar je bent niet alleen in de wereld en vroeger of
later zal je andere stammen tegen komen. Sommige zijn vriendelijk en willen
handel drijven. Als je echter de wereld wil veroveren zal je soldaten moeten
trainen en moeten vechten.
 
%prep
%{__rm} -rf "${RPM_BUILD_ROOT}"
%setup -b 1 -n widelands

%build
rm -f widelands
make
mv widelands widelands.orig
(echo "#!/bin/bash";echo "cd /usr/share/widelands";echo "./widelands") > widelands
chmod +x widelands

cat > widelands.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Encoding=UTF-8
Name=Widelands
Exec=/usr/bin/widelands
Categories=Application;Game;ArcadeGame
EOF

%install
echo RPM_BUILD_ROOT is $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/widelands
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

install -s -m 755 widelands.orig $RPM_BUILD_ROOT/usr/share/widelands/widelands
install -m 755 widelands $RPM_BUILD_ROOT/usr/bin/widelands
cp -r fonts maps pics tribes worlds $RPM_BUILD_ROOT/usr/share/widelands/
cp widelands.desktop $RPM_BUILD_ROOT/usr/share/applications/
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS
/usr/bin/widelands
/usr/share/widelands
/usr/share/applications/widelands.desktop

%changelog
* Fri Jan 02 2004 Dries Verachtert <dries@ulyssis.org> b6-2.dries
- added a desktop icon

* Sat Dec 20 2003 Dries Verachtert <dries@ulyssis.org> b6-1.dries
- first packaging for Fedora Core 1
